Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.physics
Class Plane

    java.lang.Object
      net.sf.j3d.threeD.raytracer.engine.AbstractSurface
          net.sf.j3d.threeD.raytracer.primitives.Plane
              net.sf.j3d.physics.Plane

All Implemented Interfaces:
  RigidBody, ParticleGroup, Surface

    public class Plane

extends Plane
implements RigidBody

Author:
  Mike Murray

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.j3d.physics.RigidBody
`RigidBody.State`

Field Summary

Fields inherited from class net.sf.j3d.threeD.raytracer.primitives.Plane
`XY, XZ, YZ`

Constructor Summary
`Plane(Vector x, Vector r, Vector v, Vector w, Vector f, Vector t, double mass, double e)` Constructs a new Plane object using the specified initial rigid body state values.

Method Summary
`void` | `draw(Camera c, Graphics g, double ox, double oy, double scale)`
`RigidBody.State` | `getState()`
`Vector[]` | `intersect(RigidBody b)` Performs intersection calculations for this RigidBody object and the specified RigidBody object.
`void` | `updateModel()`

Methods inherited from class net.sf.j3d.threeD.raytracer.primitives.Plane
`getNormalAt, getParticleVertices, getType, intersect, intersectAt, setType`

Methods inherited from class net.sf.j3d.threeD.raytracer.engine.AbstractSurface
`addShader, addTexture, addTransform, calculateTransform, getColor, getColorAt, getColorAt, getIndexOfRefraction, getIndexOfRefraction, getLocation, getParent, getReflectedPercentage, getReflectedPercentage, getRefractedPercentage, getRefractedPercentage, getRotationCoefficients, getScaleCoefficients, getShadeBack, getShadeFront, getShaderSet, getSize, getTexture, getTextures, getTextureSet, getTransform, getTransform, getTransforms, removeTexture, removeTransform, setColor, setIndexOfRefraction, setLocation, setParent, setReflectedPercentage, setRefractedPercentage, setRotationCoefficients, setScaleCoefficients, setShadeBack, setShadeFront, setShaders, setShaders, setSize, setTexture, setTextures, setTransform, setTransforms, shade, triangulate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Plane

    public Plane(Vector x,
                 Vector r,
                 Vector v,
                 Vector w,
                 Vector f,
                 Vector t,
                 double mass,
                 double e)

  Constructs a new Plane object using the specified initial rigid body state values.

  Parameters:
    `x` - location
    `r` - rotation
    `v` - linear velocity
    `w` - angular velocity
    `f` - force
    `t` - torque
    `mass` - mass
    `e` - coefficient of restitution

Method Detail

### intersect

    public Vector[] intersect(RigidBody b)

  Description copied from interface: `RigidBody`
  Performs intersection calculations for this RigidBody object and the specified RigidBody object.

  Specified by:
    `intersect` in interface `RigidBody`
  Returns:
    {intersection point, normal to intersection} or a zero length array if there is no intersection.
  See Also:
    `RigidBody.intersect(net.sf.j3d.physics.RigidBody)`

### draw

    public void draw(Camera c,
                     Graphics g,
                     double ox,
                     double oy,
                     double scale)

  Specified by:
    `draw` in interface `RigidBody`
  See Also:
    `net.sf.j3d.physics.RigidBody#draw(threeD.raytracer.engine.Camera, java.awt.Graphics, double, double, double)`

### updateModel

    public void updateModel()

  Specified by:
    `updateModel` in interface `RigidBody`
  See Also:
    `RigidBody.updateModel()`

### getState

    public RigidBody.State getState()

  Specified by:
    `getState` in interface `RigidBody`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD